<?php

namespace MSP\CashOnDelivery\Plugin\Model\Order;

class CreditmemoFactory extends \Magento\Sales\Model\Order\CreditmemoFactory
{
    protected function initData($creditmemo, $data)
    {
        parent::initData($creditmemo, $data);

        if (isset($data['msp_cod_amount'])) {
            $creditmemo->setBaseMspCodAmount((double)$data['msp_cod_amount']);
            $creditmemo->setHasChangedBaseMspCodAmount(true);
        }
    }
}
